Bug 498022 - problems removing more threads at once
problems removing more threads at once
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 10:23 EDT by Marcela Mašláňová
Modified: 2009-06-19 05:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 07:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 491271 None None None Never

  None (edit)
Description Marcela Mašláňová 2009-04-28 10:23:00 EDT
Description of problem:
If I try to remove more threads from my box, then the thunderbird3 isn't able to move them into trash. If I remove f.e. three threads, then it's working.

Version-Release number of selected component (if applicable):
thunderbird-3.0-2.1.beta2.fc11.x86_64

How reproducible:
every time

Steps to Reproduce:
0. set up an IMAP account
1. have many threads from some mailing-list in folder
2. select many of them and click Delete
3. see after a while warning about unresponsive script:
"A script on this page may be busy or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete. Script: chrome://messenger/content/folderPane.js:1137"
  
Actual results:
It's not possible to remove bigger amount of messages.

Expected results:
Delete will be working as it was in previous thunderbird2.

Additional info:
It eats my memory, so I wasn't able to play with it more.
2981 marca     20   0 1515m 641m  19m D 36.0 32.4   8:40.12 thunderbird-bin
Comment 1 Matěj Cepl 2009-04-30 10:06:20 EDT
Hmm, I don't have this error message, but TB doesn't delete collapsed threads for me either. Do you have threads collapsed or you are deleting just plenty of messages in couple of threads?
Comment 2 Marcela Mašláňová 2009-05-04 06:28:55 EDT
The second option. You need select MANY messages in threads. If they are not in thread view, then they are deleted.
Comment 3 Matěj Cepl 2009-05-04 07:55:48 EDT
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=491271) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 4 Marcela Mašláňová 2009-06-19 05:44:13 EDT
Reply for the upstream:
Tested with thunderbird-3.0-2.3.beta2.fc11.x86_64
3087 messages was selected. The error message showed up, but they were deleted.

What's still not working is deleting whole threads but that's different bug anyway. So it's fixed for me.

Note You need to log in before you can comment on or make changes to this bug.